from GUI import Window, Button, CheckBox, TextField, application

def test():
    win = Window(title = "Shrink Wrap", resizable = 0)
    but = Button("Bing!")
    cbx = CheckBox("Spam")
    fld = TextField(width = 100)
    win.place(but, left = 20, top = 20)
    win.place(cbx, left = but + 20, top = 20)
    win.place(fld, left = 20, top = but + 20)
    win.shrink_wrap(padding = (20, 20))
    win.show()
    application().run()

instructions = """
There should be a window containing three controls, with the window
sized to fit the controls with 20 pixels of space on all sides.
"""

print instructions
test()
